import { OracleEvent, OracleResponse } from './type/oracle-server-types';
export * from '../../common-ts/lib/index';
/** Specific Oracle Server message functions */
export declare function GetPublicKey(): Promise<OracleResponse<string>>;
export declare function GetStakingAddress(): Promise<OracleResponse<string>>;
export declare function ListAnnouncements(): Promise<OracleResponse<string[]>>;
export declare function SignMessage(message: string): Promise<OracleResponse<string>>;
export declare function GetAnnouncement(eventName: string): Promise<OracleResponse<OracleEvent>>;
export declare function CreateEnumAnnouncement(eventName: string, maturationTimeISOString: string, outcomes: string[]): Promise<OracleResponse<string>>;
export declare function CreateNumericAnnouncement(eventName: string, maturationTimeISOString: string, minValue: number, maxValue: number, unit: string, precision: number): Promise<OracleResponse<string>>;
export declare function SignEnum(eventName: string, outcome: string): Promise<OracleResponse<string>>;
export declare function SignDigits(eventName: string, outcome: number): Promise<OracleResponse<string>>;
export declare function GetSignatures(eventName: string): Promise<OracleResponse<OracleEvent>>;
export declare function DeleteAnnouncement(eventName: string): Promise<OracleResponse<OracleEvent>>;
export declare function DeleteAttestation(eventName: string): Promise<OracleResponse<OracleEvent>>;
export declare function GetOracleName(): Promise<OracleResponse<string>>;
export declare function SetOracleName(oracleName: string): Promise<OracleResponse<string>>;
